Summary:        GNU Triangulated Surface Library
Name:           gts
Version:        0.7.6
Release:        1
Group:          Applications/Engineering
License:        LGPL
URL:            http://gts.sourceforge.net/index.html
Source0:        http://prdownloads.sourceforge.net/gts/gts-0.7.6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  glib2-devel
Requires:       glib2

%description
GTS provides a set of useful functions to deal with 3D surfaces meshed
with interconnected triangles including collision detection,
multiresolution models, constrained Delaunay triangulations and robust
set operations (union, intersection, differences).

The library is available as 32-bit and 64-bit.


%package devel
Summary:        Development files for gts
Group:          Applications/Engineering
Requires:       pkg-config
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the gts header files and libs.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-dependency-tracking
make %{?_smp_mflags}

cp src/.libs/libgts-0.7.so.5 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-dependency-tracking
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libgts.a ./libgts-0.7.so.5


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT%{_bindir}/delaunay $RPM_BUILD_ROOT%{_bindir}/gtsdelaunay 
mv -f $RPM_BUILD_ROOT%{_bindir}/transform $RPM_BUILD_ROOT%{_bindir}/gtstransform


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%doc COPYING
%{_bindir}/gts2dxf
%{_bindir}/gts2oogl
%{_bindir}/gts2stl
%{_bindir}/gtscheck
%{_bindir}/gtscompare
%{_bindir}/gtsdelaunay
%{_bindir}/gtstemplate
%{_bindir}/gtstransform
%{_bindir}/stl2gts
%{_libdir}/*.a


%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_bindir}/gts-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Mon Jan 08 2007 Michael Perzl <michael@perzl.org> - 0.7.6-1
- First version for AIX5L v5.1 and higher
